> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Add or update user signature

PUT https://demo.docusign.net/restapi/v2/accounts/{accountId}/users/{userId}/signatures
Content-Type: application/json



Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/users/usersignatures/updatelist

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.
- `userId` (string, required) — The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. **Note**: For the [GET /v2/accounts/\{accountId}/envelopes](https://developers.docusign.com/esign-rest-api/reference/Envelopes/Envelopes/listStatusChanges/#envelopesInformation) method, the `user_id` query parameter is not implemented and should not be used.

### Body (application/json)

This endpoint expects an userSignaturesInformation.

- `userSignatures` (list of userSignature, optional)

## Response

### 200

Successful response.

- `userSignatures` (list of userSignature, optional)

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### userSignature

- `adoptedDateTime` (string, optional) — The date and time the user adopted their signature.
- `createdDateTime` (string, optional) — Indicates the date and time the item was created.
- `dateStampProperties` (dateStampProperties, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `externalID` (string, optional)
- `imageType` (string, optional) — One of **signature_image** or **initials_image**.
- `initials150ImageId` (string, optional)
- `initialsImageUri` (string, optional) — Contains the URI for an endpoint that you can use to retrieve the initials image.
- `isDefault` (string, optional)
- `phoneticName` (string, optional)
- `signature150ImageId` (string, optional)
- `signatureFont` (string, optional)
- `signatureId` (string, optional) — The ID of the signature being accessed.
- `signatureImageUri` (string, optional) — Contains the URI for an endpoint that you can use to retrieve the signature image.
- `signatureInitials` (string, optional)
- `signatureName` (string, optional) — Specifies the user signature name.
- `signatureType` (string, optional)
- `stampFormat` (string, optional)
- `stampImageUri` (string, optional)
- `stampSizeMM` (string, optional)
- `stampType` (string, optional)

### dateStampProperties

- `dateAreaHeight` (string, optional)
- `dateAreaWidth` (string, optional)
- `dateAreaX` (string, optional)
- `dateAreaY` (string, optional)

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "userSignatures": [
    {
      "adoptedDateTime": "string",
      "createdDateTime": "string",
      "dateStampProperties": {
        "dateAreaHeight": "string",
        "dateAreaWidth": "string",
        "dateAreaX": "string",
        "dateAreaY": "string"
      },
      "errorDetails": {
        "errorCode": "string",
        "message": "string"
      },
      "externalID": "string",
      "imageType": "string",
      "initials150ImageId": "string",
      "initialsImageUri": "string",
      "isDefault": "string",
      "phoneticName": "string",
      "signature150ImageId": "string",
      "signatureFont": "string",
      "signatureId": "string",
      "signatureImageUri": "string",
      "signatureInitials": "string",
      "signatureName": "string",
      "signatureType": "string",
      "stampFormat": "string",
      "stampImageUri": "string",
      "stampSizeMM": "string",
      "stampType": "string"
    }
  ]
}
```